import { ref } from 'vue'
export default {
    el: '#status-header',
    data: {
        message: 'Hello Vue!',
        now: new Date()
    },
    methods: {
        updateDate() {
            this.now = new Date();
        }
    },
    mounted() {
        setInterval(() => {
            this.updateDate();
        }, 1000);
    },
    setup() {
        const count = ref(0)
        return { count }
    },
    template: `<div>Счётчик: {{ count }}</div>`
}